Bug 214515 - net-mgmt/observium: fix license; improve post install message; add apache config
Summary: net-mgmt/observium: fix license; improve post install message; add apache config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2016-11-14 18:48 UTC by dirkx
Modified: 2017-08-22 16:29 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (dirkx)
koobs: merge-quarterly?


Attachments
-ruN patch with delta. (4.67 KB, patch)
2016-11-14 18:48 UTC, dirkx
no flags Details | Diff
Updated patch after discussion with Adam Armstrong (the author) (4.68 KB, patch)
2016-11-14 19:44 UTC, dirkx
dirkx: maintainer-approval+
Details | Diff
Updated patch - whitespace and dir reference. (4.74 KB, patch)
2016-11-14 19:53 UTC, dirkx
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirkx 2016-11-14 18:48:50 UTC
Created attachment 177003 [details]
-ruN patch with delta.

Apparently we've not been using quite the right license construct for Observium.

This patch should fix this.

NOT ready for commit into the tree yet - I am reviewing this with the makers of Observium.

This patch also adds the much needed apache config and improves the message a wee little.
Comment 1 dirkx 2016-11-14 19:44:03 UTC
Created attachment 177004 [details]
Updated patch after discussion with Adam Armstrong (the author)

Updated license permissions; removed REVISION 'portlint' complained about.
Comment 2 dirkx 2016-11-14 19:52:57 UTC
Final version - approved by the maintainer. 

End user license is a variant of the QPL. Set it to 'EULA' - as that seemed more appropriate than 'subverting' something like QPL10 or inventing a value.

This patch also adds the much needed apache config and improves the post install message a little.
Comment 3 dirkx 2016-11-14 19:53:43 UTC
Created attachment 177005 [details]
Updated patch - whitespace and dir reference.

Last minute change/cleanup.
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-12-28 11:51:54 UTC
You also need to bump PORTREVISION in the patch since the generated package is being changed.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-19 11:29:49 UTC
Pending maintainer feedback and review as per comment 0
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-19 11:31:30 UTC
Comment on attachment 177005 [details]
Updated patch - whitespace and dir reference.

@Maintainer, please 'unobsolete' this attachment when it is considered 'ready' to commit (post review mentioned in comment 0). A patch existing, with maintainer approval are signals that there is nothing (short of additional QA) to commit it.
Comment 7 commit-hook freebsd_committer 2017-08-22 16:27:04 UTC
A commit references this bug:

Author: swills
Date: Tue Aug 22 16:26:14 UTC 2017
New revision: 448544
URL: https://svnweb.freebsd.org/changeset/ports/448544

Log:
  net-mgmt/observium: multiple changes

  * Fix license
  * Improve post install message
  * Add Apache config

  PR:		214515
  Submitted by:	dirkx@webweaving.org (maintainer) (with slight modification)

Changes:
  head/net-mgmt/observium/Makefile
  head/net-mgmt/observium/files/observium.conf.sample.in
  head/net-mgmt/observium/files/pkg-message.in
  head/net-mgmt/observium/pkg-plist
Comment 8 Steve Wills freebsd_committer 2017-08-22 16:29:02 UTC
Committed, thanks!